How can I have a customized iso with the newest version of the kernel?

8 respostas [Última entrada]
quiliro@congresolibre.org
Desconectado
Joined: 10/28/2010

I have followed the steps in
http://trisquel.info/en/wiki/customizing-trisquel-iso . I have updated
successfully all packages except the kernel. When I try to update the
kernel I get this error:

root@cao-estacion:/# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages have been kept back:
trisquel-base trisquel-base-recommended
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]?
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "es_EC:es_ES:C:en",
LC_ALL = (unset),
LANG = "es_EC.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Can not write log, openpty() failed (/dev/pts not mounted?)
Setting up linux-image-2.6.35-28-generic (2.6.35-28.50trisquel2) ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "es_EC:es_ES:C:en",
LC_ALL = (unset),
LANG = "es_EC.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.35-28-generic
cryptsetup: WARNING: could not determine root device from /etc/fstab
Not updating initrd symbolic links since we are being updated/reinstalled
(2.6.35-28.49trisquel1 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(2.6.35-28.49trisquel1 was configured last, according to dpkg)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools
2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 2.6.35-28-generic
/boot/vmlinuz-2.6.35-28-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier
2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub
2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
/usr/sbin/grub-probe: error: cannot find a device for / (is /dev mounted?).
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postinst.d at
/var/lib/dpkg/info/linux-image-2.6.35-28-generic.postinst line 1010.
dpkg: error processing linux-image-2.6.35-28-generic (--configure):
subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
linux-image-2.6.35-28-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@cao-estacion:/#

How can I have a customized iso with the newest version of the kernel?
--
Quiliro Ordóñez
08 836 2718
02 340 1517

quiliro@congresolibre.org
Desconectado
Joined: 10/28/2010

El 01/06/11 11:30, Quiliro Ordóñez escribió:
> I have followed the steps in
> http://trisquel.info/en/wiki/customizing-trisquel-iso . I have updated
> successfully all packages except the kernel. When I try to update the
> kernel I get this error:
>
> root@cao-estacion:/# apt-get upgrade
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages have been kept back:
> trisquel-base trisquel-base-recommended
> 0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
> 1 not fully installed or removed.
> After this operation, 0B of additional disk space will be used.
> Do you want to continue [Y/n]?
> perl: warning: Setting locale failed.
> perl: warning: Please check that your locale settings:
> LANGUAGE = "es_EC:es_ES:C:en",
> LC_ALL = (unset),
> LANG = "es_EC.UTF-8"
> are supported and installed on your system.
> perl: warning: Falling back to the standard locale ("C").
> locale: Cannot set LC_CTYPE to default locale: No such file or directory
> locale: Cannot set LC_MESSAGES to default locale: No such file or
> directory
> locale: Cannot set LC_ALL to default locale: No such file or directory
> Can not write log, openpty() failed (/dev/pts not mounted?)
> Setting up linux-image-2.6.35-28-generic (2.6.35-28.50trisquel2) ...
> perl: warning: Setting locale failed.
> perl: warning: Please check that your locale settings:
> LANGUAGE = "es_EC:es_ES:C:en",
> LC_ALL = (unset),
> LANG = "es_EC.UTF-8"
> are supported and installed on your system.
> perl: warning: Falling back to the standard locale ("C").

I solved the problem with the localesby the following procedure:

export LANGUAGE=es_EC.UTF-8
export LANG=es_EC.UTF-8
locale-gen es_EC.UTF-8
dpkg-reconfigure locales

but the problem with grub and /dev when installing
linux-image-2.6.35-28-generic persists:
> run-parts: executing /etc/kernel/postinst.d/zz-update-grub
> 2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
> /usr/sbin/grub-probe: error: cannot find a device for / (is /dev
> mounted?).
> run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return
> code 1
> Failed to process /etc/kernel/postinst.d at
> /var/lib/dpkg/info/linux-image-2.6.35-28-generic.postinst line 1010.
> dpkg: error processing linux-image-2.6.35-28-generic (--configure):
> subprocess installed post-installation script returned error exit
> status 2
> Errors were encountered while processing:
> linux-image-2.6.35-28-generic
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> root@cao-estacion:/#

How can I have a customized iso with the newest version of the kernel?

--
Quiliro Ordóñez
08 836 2718
02 340 1517

quiliro@congresolibre.org
Desconectado
Joined: 10/28/2010

> How can I have a customized iso with the newest version of the kernel?
>

ping

--
Quiliro Ordóñez
08 836 2718
02 340 1517

quiliro@congresolibre.org
Desconectado
Joined: 10/28/2010

http://trisquel.info/es/wiki/personalizaci%C3%B3n-de-una-iso-de-trisquel
dice que el núcleo puede ser reemplazado:

Si ha sustituido el kernel o los programas de arranque, copiar el nuevo
binario del kernel y la imagen de initrd en caso necesario:

cp jail/boot/vmlinuz-custom src/isolinux/vmlinuz
cp jail/boot/initrd.img-custom src/isolinux/initrd

He intentodo reemplazar el núcleo con:

sudo aptitude update

pero tengo este error:

root@cao-estacion:/# sudo aptitude upgrade
sudo: unable to resolve host cao-estacion
Se configurarán los siguientes paquetes que están ahora parcialmente
instalados:
linux-image-2.6.35-28-generic
No se instalará, actualizará o eliminará ningún paquete.
0 paquetes actualizados, 0 nuevos instalados, 0 para eliminar y 0 sin
actualizar.
Necesito descargar 0B de archivos. Después de desempaquetar se usarán 0B.
No se pudo escbribir en el registro, falló la llamada a «openpty()»
(¿está montado /dev/pts?)
Configurando linux-image-2.6.35-28-generic (2.6.35-28.50trisquel2) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.35-28-generic
cryptsetup: WARNING: could not determine root device from /etc/fstab
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
Not updating initrd symbolic links since we are being updated/reinstalled
(2.6.35-28.49trisquel1 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(2.6.35-28.49trisquel1 was configured last, according to dpkg)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools
2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 2.6.35-28-generic
/boot/vmlinuz-2.6.35-28-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier
2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub
2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
/usr/sbin/grub-probe: error: cannot find a device for / (is /dev mounted?).
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postinst.d at
/var/lib/dpkg/info/linux-image-2.6.35-28-generic.postinst line 1010.
dpkg: error al procesar linux-image-2.6.35-28-generic (--configure):
el subproceso script post-installation instalado devolvió el código de
salida de error 2
Se encontraron errores al procesar:
linux-image-2.6.35-28-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
Un paquete no se pudo instalar. Intentado recuperarse:
Configurando linux-image-2.6.35-28-generic (2.6.35-28.50trisquel2) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.35-28-generic
cryptsetup: WARNING: could not determine root device from /etc/fstab
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
Not updating initrd symbolic links since we are being updated/reinstalled
(2.6.35-28.49trisquel1 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(2.6.35-28.49trisquel1 was configured last, according to dpkg)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools
2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 2.6.35-28-generic
/boot/vmlinuz-2.6.35-28-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier
2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub
2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
/usr/sbin/grub-probe: error: cannot find a device for / (is /dev mounted?).
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postinst.d at
/var/lib/dpkg/info/linux-image-2.6.35-28-generic.postinst line 1010.
dpkg: error al procesar linux-image-2.6.35-28-generic (--configure):
el subproceso script post-installation instalado devolvió el código de
salida de error 2
Se encontraron errores al procesar:
linux-image-2.6.35-28-generic

root@cao-estacion:/#

--
Quiliro Ordóñez
08 836 2718
02 340 1517

Eduardo Saavedra-D'Attellis
Desconectado
Joined: 08/06/2009

Saludos Quiliro!,...

En los repositorios a partir de taranis, existe un paquete llamado
oem-config-remaster, que permite crear CD's remasterizados con paquetes y
configuraciones adicionales, no se si también permita modificaciones del
kernel.

A comentar por el error (por lo que se ve y entiendo) es que primeramente el
kernel modificado no fue correctamente instalado, que supongo de que a
partir de ese problema proviene tu pregunta, ahora bien, hasta donde se, (y
lógicamente debe ser así) si instalas un paquete que no se corresponde con
los repositorios de la distro y/o versión, al momento de actualizar debe dar
error, para eso debes previamente bloquear el paquete (en el manual de
aptitude aparecen las opciones para ello) o instalar el ppa (si existe) del
paquete para tener acceso a las actualizaciones del paquetes incluidas por
esta vía, considerando la compatibilidad del mismo con la distro a razón de
las dependencias.
--
Eduardo Saavedra-D'Attellis

El 6 de junio de 2011 09:55, Quiliro Ordóñez
<name at domain>escribió:

> http://trisquel.info/es/wiki/personalizaci%C3%B3n-de-una-iso-de-trisquel... que el núcleo puede ser reemplazado:
>
> Si ha sustituido el kernel o los programas de arranque, copiar el nuevo
> binario del kernel y la imagen de initrd en caso necesario:
>
> cp jail/boot/vmlinuz-custom src/isolinux/vmlinuz
> cp jail/boot/initrd.img-custom src/isolinux/initrd
>
> He intentodo reemplazar el núcleo con:
>
> sudo aptitude update
>
> pero tengo este error:
>
> root@cao-estacion:/# sudo aptitude upgrade
> sudo: unable to resolve host cao-estacion
> Se configurarán los siguientes paquetes que están ahora parcialmente
> instalados:
> linux-image-2.6.35-28-generic
> No se instalará, actualizará o eliminará ningún paquete.
> 0 paquetes actualizados, 0 nuevos instalados, 0 para eliminar y 0 sin
> actualizar.
> Necesito descargar 0B de archivos. Después de desempaquetar se usarán 0B.
> No se pudo escbribir en el registro, falló la llamada a «openpty()» (¿está
> montado /dev/pts?)
> Configurando linux-image-2.6.35-28-generic (2.6.35-28.50trisquel2) ...
> Running depmod.
> update-initramfs: Generating /boot/initrd.img-2.6.35-28-generic
> cryptsetup: WARNING: could not determine root device from /etc/fstab
> W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
> Not updating initrd symbolic links since we are being updated/reinstalled
> (2.6.35-28.49trisquel1 was configured last, according to dpkg)
> Not updating image symbolic links since we are being updated/reinstalled
> (2.6.35-28.49trisquel1 was configured last, according to dpkg)
> Examining /etc/kernel/postinst.d.
> run-parts: executing /etc/kernel/postinst.d/initramfs-tools
> 2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
> run-parts: executing /etc/kernel/postinst.d/pm-utils 2.6.35-28-generic
> /boot/vmlinuz-2.6.35-28-generic
> run-parts: executing /etc/kernel/postinst.d/update-notifier
> 2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
> run-parts: executing /etc/kernel/postinst.d/zz-update-grub
> 2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
> /usr/sbin/grub-probe: error: cannot find a device for / (is /dev mounted?).
> run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
> Failed to process /etc/kernel/postinst.d at
> /var/lib/dpkg/info/linux-image-2.6.35-28-generic.postinst line 1010.
> dpkg: error al procesar linux-image-2.6.35-28-generic (--configure):
> el subproceso script post-installation instalado devolvió el código de
> salida de error 2
> Se encontraron errores al procesar:
> linux-image-2.6.35-28-generic
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> Un paquete no se pudo instalar. Intentado recuperarse:
> Configurando linux-image-2.6.35-28-generic (2.6.35-28.50trisquel2) ...
> Running depmod.
> update-initramfs: Generating /boot/initrd.img-2.6.35-28-generic
> cryptsetup: WARNING: could not determine root device from /etc/fstab
> W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
> Not updating initrd symbolic links since we are being updated/reinstalled
> (2.6.35-28.49trisquel1 was configured last, according to dpkg)
> Not updating image symbolic links since we are being updated/reinstalled
> (2.6.35-28.49trisquel1 was configured last, according to dpkg)
> Examining /etc/kernel/postinst.d.
> run-parts: executing /etc/kernel/postinst.d/initramfs-tools
> 2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
> run-parts: executing /etc/kernel/postinst.d/pm-utils 2.6.35-28-generic
> /boot/vmlinuz-2.6.35-28-generic
> run-parts: executing /etc/kernel/postinst.d/update-notifier
> 2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
> run-parts: executing /etc/kernel/postinst.d/zz-update-grub
> 2.6.35-28-generic /boot/vmlinuz-2.6.35-28-generic
> /usr/sbin/grub-probe: error: cannot find a device for / (is /dev mounted?).
> run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
> Failed to process /etc/kernel/postinst.d at
> /var/lib/dpkg/info/linux-image-2.6.35-28-generic.postinst line 1010.
> dpkg: error al procesar linux-image-2.6.35-28-generic (--configure):
> el subproceso script post-installation instalado devolvió el código de
> salida de error 2
> Se encontraron errores al procesar:
> linux-image-2.6.35-28-generic
>
> root@cao-estacion:/#
>
> --
> Quiliro Ordóñez
> 08 836 2718
> 02 340 1517
>

quiliro@congresolibre.org
Desconectado
Joined: 10/28/2010

Gracias por tus consejos Eduardo. Comento interlineado abajo.

El 06/06/11 09:47, Eduardo D'Attellis escribió:
> Saludos Quiliro!,...
>
> En los repositorios a partir de taranis, existe un paquete llamado
> oem-config-remaster, que permite crear CD's remasterizados con
> paquetes y configuraciones adicionales, no se si también permita
> modificaciones del kernel.

Voy a probarlo pero requiero que acepte modificaciones del kernel.
>
> A comentar por el error (por lo que se ve y entiendo) es que
> primeramente el kernel modificado no fue correctamente instalado, que
> supongo de que a partir de ese problema proviene tu pregunta, ahora
> bien, hasta donde se, (y lógicamente debe ser así) si instalas un
> paquete que no se corresponde con los repositorios de la distro y/o
> versión, al momento de actualizar debe dar error, para eso debes
> previamente bloquear el paquete (en el manual de aptitude aparecen las
> opciones para ello) o instalar el ppa (si existe) del paquete para
> tener acceso a las actualizaciones del paquetes incluidas por esta
> vía, considerando la compatibilidad del mismo con la distro a razón de
> las dependencias.

El problema que se tiene es que no detecta el dispositivo /dev para
configurar grub con el arranque adecuado de núcleo nuevo que ha
instalado. He logrado instalar y actualizar otros paquetes así que no es
problema del repositorio. El problema es que la instalación del ISO
parece no arrancar con Grub.
--
Quiliro Ordóñez
09 821 8696
02 340 1517
"No se puede sacrificar la libertad por ningún bien, por ninguna promesa
de pan o de paz o de justicia, porque ese pan tendría amargura de
veneno, esa paz sería de muerte, y esa justicia no sería justicia humana
ni tendría sentido." Alfredo Pérez G.

quiliro@congresolibre.org
Desconectado
Joined: 10/28/2010

El 06/06/11 09:47, Eduardo D'Attellis escribió:
> Saludos Quiliro!,...
>
> En los repositorios a partir de taranis, existe un paquete llamado
> oem-config-remaster, que permite crear CD's remasterizados con
> paquetes y configuraciones adicionales, no se si también permita
> modificaciones del kernel.
>

Me bota error:

cao@cao-estacion:~/ISOs$ sudo oem-config-remaster trisquel_4.5_i686.iso
../linux-image-2.6.39-libre-itsco_2.6.39-libre-itsco-10.00.Custom_i386.deb
mount: tipo de sistema de ficheros 'aufs' desconocido
Cleaning up.
umount: /tmp/tmp.anCV9fgHI2: no montado
All done.
cao@cao-estacion:~/ISOs$

trisquel_4.5_i686.iso es una imagen ISO de Trisquel

../linux-image-2.6.39-libre-itsco_2.6.39-libre-itsco-10.00.Custom_i386.deb
es el paquete que quier añadir.

--
Quiliro Ordóñez
09 821 8696
02 340 1517
"No se puede sacrificar la libertad por ningún bien, por ninguna promesa
de pan o de paz o de justicia, porque ese pan tendría amargura de
veneno, esa paz sería de muerte, y esa justicia no sería justicia humana
ni tendría sentido." Alfredo Pérez G.

Cyberhawk

I am a translator!

Desconectado
Joined: 07/27/2010

Just curious, what do you need the newest kernel for? Is there some important improvement in hardware compatibility or something?

quiliro@congresolibre.org
Desconectado
Joined: 10/28/2010

El 01/06/11 12:20, name at domain escribió:
> Just curious, what do you need the newest kernel for? Is there some
> important improvement in hardware compatibility or something?
>

For customizing it for certain hardware for example. I am testing
different uses of customization of the ISO.

--
Quiliro Ordóñez
08 836 2718
02 340 1517